const lineGenerator = d3.line();
const betas = [0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1];
const points = [[0, 100], [300, 100], [300, 0], [600, 0]];

d3.select('g')
	.selectAll('path')
	.data(betas)
	.join('path')
	.attr('fill', 'none')
	.attr('stroke', '#ccc')
	.attr('d', (d) => {
  	let bundleCurve = d3.curveBundle.beta(d);
  	lineGenerator.curve(bundleCurve);
  	return lineGenerator(points);
	})
	.style('opacity', (d, i) => i * 0.08)